Name:          marble
Version:       17.08.2
Release:       1mamba
Summary:       A free open source geographical map program
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://edu.kde.org/marble/
Source:        http://download.kde.org/stable/applications/%{version}/src/marble-%{version}.tar.xz
Patch0:        marble-4.13.0-arm_qreal_double.patch
Patch1:        marble-15.12.2-gcc-5.3.0-std_isnan.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5ExtSerialPort-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libgps-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libkpackage-devel
BuildRequires: libkparts-devel
BuildRequires: libkrunner-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libphonon-qt5-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwlocate-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libgps-devel >= 3.7
Provides:      marble5
Obsoletes:     marble5
Requires:      libmarble = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
#-- checking for module 'liblocation>=0.102'
#--   package 'liblocation>=0.102' not found

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more about Earth: You can pan and zoom around and you can look up places and roads.
A mouse click on a place label will provide the respective Wikipedia article.
Of course it's also possible to measure distances between locations or watch the current cloud cover.
Marble offers different thematic maps: 
- A classroom-style topographic map,
- a satellite view,
- street map,
- earth at night and
- temperature and precipitation maps.
All maps include a custom map key, so it can also be used as an educational tool for use in class-rooms.
For educational purposes you can also change date and time and watch how the starry sky and the twilight zone on the map change.
In opposite to other virtual globes Marble also features multiple projections:
Choose between a Flat Map ("Plate carré"), Mercator or the Globe.

%package -n libmarble
Group:         Graphical Desktop/Libraries/KDE
Summary:       KDE5 library files for %{name}
Provides:      libmarble5
Obsoletes:     libmarble5

%description -n libmarble
%{summary}.

%package -n libmarble-devel
Group:         Development/Libraries
Summary:       Marble development files
Requires:      libmarble = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libmarble5-devel
Obsoletes:     libmarble5-devel

%description -n libmarble-devel
%{summary}.

%prep
%setup -q -n marble-%{version}
%patch1 -p1
#-D -T

%build
%cmake_kde5 -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

mv %{buildroot}/usr/etc %{buildroot}/

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%posttrans
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi
exit 0

%post -n libmarble -p /sbin/ldconfig
%postun -n libmarble -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/marble.knsrc
%{_kde5_bindir}/marble
#%{_kde5_bindir}/marble-mobile
%{_kde5_bindir}/marble-qt
#%{_kde5_bindir}/marble-touch
%dir %{_kde5_datadir}/marble
%{_kde5_datadir}/marble/*
%{_datadir}/mime/packages/geo.xml
%doc %lang(en) %{_kde5_htmldir}/en/marble
%dir %{_datadir}/kxmlgui5/marble
%{_datadir}/kxmlgui5/marble/*
%{_datadir}/applications/org.kde.marble*.desktop
%{_datadir}/metainfo/org.kde.*.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.worldclock/*
%{_datadir}/plasma/wallpapers/org.kde.plasma.wallpaper.worldmap/*
%{_kde5_icondir}/hicolor/*/apps/marble.png
%{_kde5_kcfgdir}/marble.kcfg
%{_kde5_servicesdir}/*.desktop
%{_kde5_xdgappsdir}/marble*.desktop
%lang(ca) %{_datadir}/doc/HTML/ca/marble
%lang(de) %{_datadir}/doc/HTML/de/marble
%lang(es) %{_datadir}/doc/HTML/es/marble
%lang(et) %{_datadir}/doc/HTML/et/marble
%lang(fr) %{_datadir}/doc/HTML/fr/marble
%lang(gl) %{_datadir}/doc/HTML/gl/marble
%lang(it) %{_datadir}/doc/HTML/it/marble
%lang(lt) %{_datadir}/doc/HTML/lt/marble
%lang(nl) %{_datadir}/doc/HTML/nl/marble
%lang(pt) %{_datadir}/doc/HTML/pt/marble
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/marble
%lang(ru) %{_datadir}/doc/HTML/ru/marble
%lang(sv) %{_datadir}/doc/HTML/sv/marble
%lang(uk) %{_datadir}/doc/HTML/uk/marble

%files -n libmarble
%defattr(-,root,root)
%{_libdir}/qt5/plugins/libmarble_part.so
%{_libdir}/qt5/plugins/libmarblethumbnail.so
%{_libdir}/qt5/plugins/plasma_runner_marble.so
%{_libdir}/libastro.so.*
%{_libdir}/libmarblewidget-qt5.so.*
%dir %{_libdir}/marble
%dir %{_libdir}/marble/plugins
%{_libdir}/qt5/qml/org/kde/marble/private/plasma/*
#%ifarch x86_64
#%{_libdir}/marble/plugins/org/kde/edu/marble/*
#%else
#%{_libdir}/qt5/qml/org/kde/edu/marble/*
#%endif
%dir %{_libdir}/marble/plugins
%{_libdir}/marble/plugins/lib*.so
%{_libdir}/plugins/designer/lib*.so
%doc COPYING.DOC CREDITS

%files -n libmarble-devel
%defattr(-,root,root)
%dir %{_includedir}/astro
%{_includedir}/astro/*.h
%dir %{_includedir}/marble
%{_includedir}/marble/*.h
%{_libdir}/libastro.so
%{_libdir}/libmarblewidget-qt5.so
%{_libdir}/libmarbledeclarative.so
%dir %{_libdir}/cmake/Astro
%{_libdir}/cmake/Astro/Astro*.cmake
%dir %{_libdir}/cmake/Marble
%{_libdir}/cmake/Marble/Marble*.cmake
/usr/mkspecs/modules/qt_Marble.pri
%doc BUGS ChangeLog
%doc docs/*

%changelog
* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Wed Dec 21 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Sun Sep 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Sun Jul 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.2-2mamba
- renamed from marble5 to marble

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Wed Mar 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.2-2mamba
- rebuilt with libwlocate

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.0-1mamba
- update to 15.12.0
- rename from marble to marble5

* Sun Dec 27 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.08.3-3mamba
- fix path of cmake file

* Sat Nov 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.08.3-2mamba
- build also kde4 version

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 15.08.3-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.3-2mamba
- gpsd 3.9 mass rebuild

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sat Jun 09 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Sat Mar 24 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Sun Sep 18 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
